cryptol-2.2.6: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2015 Galois, Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.TypeCheck.Solver.Class

Description

Solving class constraints.

Synopsis

- classStep :: Goal -> Solved
- expandProp :: Prop -> [Prop]

# Documentation

classStep :: Goal -> Solved Source

Solve class constraints.

expandProp :: Prop -> [Prop] Source

Add propositions that are implied by the given one. The result contains the orignal proposition, and maybe some more.